Public Member Functions | Protected Attributes | List of all members
STOFFSubDocument Class Referenceabstract

abstract class used to store a subdocument (with a comparison function) More...

`#include <STOFFSubDocument.hxx>`

Inheritance diagram for STOFFSubDocument:

## Public Member Functions
| STOFFSubDocument (STOFFParser *pars, STOFFInputStreamPtr ip, STOFFEntry const &z)
| constructor from parser, input stream and zone in the input
| STOFFSubDocument (STOFFSubDocument const &doc)
| copy constructor
STOFFSubDocument & | operator= (STOFFSubDocument const &doc)
| copy operator
virtual | ~STOFFSubDocument ()
| virtual destructor
virtual bool | operator!= (STOFFSubDocument const &doc) const
| comparison operator!=
bool | operator== (STOFFSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator==
virtual void | parse (STOFFListenerPtr &listener, libstoff::SubDocumentType subDocumentType)=0
| virtual parse function

## Protected Attributes
STOFFParser * | m_parser
| the main zone parser
std::shared_ptr< STOFFInputStream > | m_input
| the input
STOFFEntry | m_zone
| if valid the zone to parse

## Detailed Description

abstract class used to store a subdocument (with a comparison function)

## Constructor & Destructor Documentation

## ◆ STOFFSubDocument() [1/2]

STOFFSubDocument::STOFFSubDocument | ( | STOFFParser * | pars,
|  | STOFFInputStreamPtr | ip,
|  | STOFFEntry const & | z )

constructor from parser, input stream and zone in the input

## ◆ STOFFSubDocument() [2/2]

STOFFSubDocument::STOFFSubDocument | ( | STOFFSubDocument const & | doc | ) |
| explicit

copy constructor

## ◆ ~STOFFSubDocument()

STOFFSubDocument::~STOFFSubDocument | ( |  | ) |
| virtual

virtual destructor

## Member Function Documentation

## ◆ operator!=() [1/2]

bool STOFFSubDocument::operator!= | ( | std::shared_ptr< STOFFSubDocument > const & | doc | ) | const

comparison operator!=

## ◆ operator!=() [2/2]

bool STOFFSubDocument::operator!= | ( | STOFFSubDocument const & | doc | ) | const
| virtual

comparison operator!=

Reimplemented in SDGParserInternal::SubDocument, StarCharAttribute::SubDocument, StarObjectSmallGraphicInternal::SubDocument, StarObjectSpreadsheetInternal::SubDocument, StarObjectTextInternal::SubDocument, StarPageAttribute::SubDocument, STOFFChartInternal::SubDocument, and SWFieldManagerInternal::SubDocument.

Referenced by operator!=(), operator==(), and operator==().

## ◆ operator=()

STOFFSubDocument & STOFFSubDocument::operator= | ( | STOFFSubDocument const & | doc | ) |

copy operator

## ◆ operator==() [1/2]

bool STOFFSubDocument::operator== | ( | std::shared_ptr< STOFFSubDocument > const & | doc | ) | const
| inline

comparison operator==

## ◆ operator==() [2/2]

bool STOFFSubDocument::operator== | ( | STOFFSubDocument const & | doc | ) | const
| inline

comparison operator==

## ◆ parse()

virtual void STOFFSubDocument::parse | ( | STOFFListenerPtr & | listener,
|  | libstoff::SubDocumentType | subDocumentType )
| pure virtual

virtual parse function

this function is called to parse the subdocument

Implemented in SDGParserInternal::SubDocument, StarCharAttribute::SubDocument, StarObjectSmallGraphicInternal::SubDocument, StarObjectSpreadsheetInternal::SubDocument, StarObjectTextInternal::SubDocument, StarPageAttribute::SubDocument, STOFFChartInternal::SubDocument, and SWFieldManagerInternal::SubDocument.

## Member Data Documentation

## ◆ m_input

std::shared_ptr<STOFFInputStream> STOFFSubDocument::m_input
| protected

the input

Referenced by operator!=(), and operator=().

## ◆ m_parser

STOFFParser* STOFFSubDocument::m_parser
| protected

the main zone parser

Referenced by operator!=(), and operator=().

## ◆ m_zone

STOFFEntry STOFFSubDocument::m_zone
| protected

if valid the zone to parse

Referenced by operator!=(), and operator=().

The documentation for this class was generated from the following files:

- STOFFSubDocument.hxx
- STOFFSubDocument.cxx